Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/ConstantView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/ConstantView.Designer.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/ConstantView.Designer.cs	(revision 5832)
@@ -67,5 +67,5 @@
       // 
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(275, 20);
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(280, 20);
       // 
       // nameTextBox
@@ -73,10 +73,9 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(275, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Size = new System.Drawing.Size(275, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(280, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(379, 3);
       // 
       // weightNuLabel
@@ -86,5 +85,5 @@
       this.weightNuLabel.Name = "weightNuLabel";
       this.weightNuLabel.Size = new System.Drawing.Size(56, 13);
-      this.weightNuLabel.TabIndex = 6;
+      this.weightNuLabel.TabIndex = 0;
       this.weightNuLabel.Text = "Min value:";
       this.toolTip.SetToolTip(this.weightNuLabel, "The minimal value to use for random initialization of constants.");
@@ -97,6 +96,6 @@
       this.minValueTextBox.Location = new System.Drawing.Point(92, 19);
       this.minValueTextBox.Name = "minValueTextBox";
-      this.minValueTextBox.Size = new System.Drawing.Size(291, 20);
-      this.minValueTextBox.TabIndex = 7;
+      this.minValueTextBox.Size = new System.Drawing.Size(300, 20);
+      this.minValueTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.minValueTextBox, "The minimal value to use for random initialization of constants.");
       this.minValueTextBox.TextChanged += new System.EventHandler(this.minValueTextBox_TextChanged);
@@ -110,8 +109,8 @@
       this.initializationGroupBox.Controls.Add(this.weightNuLabel);
       this.initializationGroupBox.Controls.Add(this.minValueTextBox);
-      this.initializationGroupBox.Location = new System.Drawing.Point(3, 79);
+      this.initializationGroupBox.Location = new System.Drawing.Point(0, 52);
       this.initializationGroupBox.Name = "initializationGroupBox";
-      this.initializationGroupBox.Size = new System.Drawing.Size(389, 73);
-      this.initializationGroupBox.TabIndex = 8;
+      this.initializationGroupBox.Size = new System.Drawing.Size(398, 73);
+      this.initializationGroupBox.TabIndex = 5;
       this.initializationGroupBox.TabStop = false;
       this.initializationGroupBox.Text = "Initialization";
@@ -123,5 +122,5 @@
       this.weightSigmaLabel.Name = "weightSigmaLabel";
       this.weightSigmaLabel.Size = new System.Drawing.Size(59, 13);
-      this.weightSigmaLabel.TabIndex = 8;
+      this.weightSigmaLabel.TabIndex = 2;
       this.weightSigmaLabel.Text = "Max value:";
       this.toolTip.SetToolTip(this.weightSigmaLabel, "The maximal value to use for random initialization of constants.");
@@ -134,6 +133,6 @@
       this.maxValueTextBox.Location = new System.Drawing.Point(92, 45);
       this.maxValueTextBox.Name = "maxValueTextBox";
-      this.maxValueTextBox.Size = new System.Drawing.Size(291, 20);
-      this.maxValueTextBox.TabIndex = 9;
+      this.maxValueTextBox.Size = new System.Drawing.Size(300, 20);
+      this.maxValueTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.maxValueTextBox, "The maximal value to use for random initialization of constants.");
       this.maxValueTextBox.TextChanged += new System.EventHandler(this.maxValueTextBox_TextChanged);
@@ -147,8 +146,8 @@
       this.mutationGroupBox.Controls.Add(this.additiveChangeLabel);
       this.mutationGroupBox.Controls.Add(this.additiveChangeSigmaTextBox);
-      this.mutationGroupBox.Location = new System.Drawing.Point(3, 158);
+      this.mutationGroupBox.Location = new System.Drawing.Point(0, 131);
       this.mutationGroupBox.Name = "mutationGroupBox";
-      this.mutationGroupBox.Size = new System.Drawing.Size(389, 73);
-      this.mutationGroupBox.TabIndex = 9;
+      this.mutationGroupBox.Size = new System.Drawing.Size(398, 73);
+      this.mutationGroupBox.TabIndex = 6;
       this.mutationGroupBox.TabStop = false;
       this.mutationGroupBox.Text = "Mutation";
@@ -160,5 +159,5 @@
       this.multiplicativeChangeLabel.Name = "multiplicativeChangeLabel";
       this.multiplicativeChangeLabel.Size = new System.Drawing.Size(146, 13);
-      this.multiplicativeChangeLabel.TabIndex = 8;
+      this.multiplicativeChangeLabel.TabIndex = 2;
       this.multiplicativeChangeLabel.Text = "Multiplicative change (sigma):";
       this.toolTip.SetToolTip(this.multiplicativeChangeLabel, "The sigma (std. dev.) parameter for the normal distribution to use to sample the " +
@@ -172,6 +171,6 @@
       this.multiplicativeChangeSigmaTextBox.Location = new System.Drawing.Point(168, 45);
       this.multiplicativeChangeSigmaTextBox.Name = "multiplicativeChangeSigmaTextBox";
-      this.multiplicativeChangeSigmaTextBox.Size = new System.Drawing.Size(215, 20);
-      this.multiplicativeChangeSigmaTextBox.TabIndex = 9;
+      this.multiplicativeChangeSigmaTextBox.Size = new System.Drawing.Size(224, 20);
+      this.multiplicativeChangeSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.multiplicativeChangeSigmaTextBox, "The sigma (std. dev.) parameter for the normal distribution to use to sample a mu" +
               "ltiplicative change.");
@@ -184,5 +183,5 @@
       this.additiveChangeLabel.Name = "additiveChangeLabel";
       this.additiveChangeLabel.Size = new System.Drawing.Size(123, 13);
-      this.additiveChangeLabel.TabIndex = 6;
+      this.additiveChangeLabel.TabIndex = 0;
       this.additiveChangeLabel.Text = "Additive change (sigma):";
       this.toolTip.SetToolTip(this.additiveChangeLabel, "The sigma (std. dev.) parameter for the normal distribution to sample the additiv" +
@@ -196,6 +195,6 @@
       this.additiveChangeSigmaTextBox.Location = new System.Drawing.Point(168, 19);
       this.additiveChangeSigmaTextBox.Name = "additiveChangeSigmaTextBox";
-      this.additiveChangeSigmaTextBox.Size = new System.Drawing.Size(215, 20);
-      this.additiveChangeSigmaTextBox.TabIndex = 7;
+      this.additiveChangeSigmaTextBox.Size = new System.Drawing.Size(224, 20);
+      this.additiveChangeSigmaTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.additiveChangeSigmaTextBox, "The sigma (std. dev.) parameter for the normal distribution to use to sample an a" +
               "dditive change.");
@@ -209,12 +208,11 @@
       this.Controls.Add(this.initializationGroupBox);
       this.Name = "ConstantView";
-      this.Size = new System.Drawing.Size(398, 237);
+      this.Size = new System.Drawing.Size(398, 211);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.initializationGroupBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.mutationGroupBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/LaggedVariableView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/LaggedVariableView.Designer.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/LaggedVariableView.Designer.cs	(revision 5832)
@@ -50,7 +50,20 @@
       this.minTimeOffsetTextBox = new System.Windows.Forms.TextBox();
       this.maxTimeOffsetTextBox = new System.Windows.Forms.TextBox();
+      this.initializationGroupBox.SuspendLayout();
+      this.mutationGroupBox.SuspendLayout();
+      this.parametersTabPage.SuspendLayout();
+      this.tabControl.SuspendLayout();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.SuspendLayout();
       // 
+      // weightMuLabel
+      // 
+      this.toolTip.SetToolTip(this.weightMuLabel, "The mu (mean) parameter of the normal distribution to use for initial weights.");
+      // 
+      // weightInitializationMuTextBox
+      // 
+      this.toolTip.SetToolTip(this.weightInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
+              "al weights.");
+      // 
       // initializationGroupBox
       // 
@@ -58,4 +71,13 @@
       this.initializationGroupBox.Size = new System.Drawing.Size(379, 73);
       // 
+      // weightSigmaLabel
+      // 
+      this.toolTip.SetToolTip(this.weightSigmaLabel, "The sigma parameter for the normal distribution to use for the initial weights.");
+      // 
+      // weightInitializationSigmaTextBox
+      // 
+      this.toolTip.SetToolTip(this.weightInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
+              "weights.");
+      // 
       // mutationGroupBox
       // 
@@ -63,4 +85,38 @@
       this.mutationGroupBox.Size = new System.Drawing.Size(379, 73);
       // 
+      // multiplicativeWeightChangeLabel
+      // 
+      this.toolTip.SetToolTip(this.multiplicativeWeightChangeLabel, "The sigma parameter for the normal distribution to use to sample a multiplicative" +
+              " change in weight.");
+      // 
+      // multiplicativeWeightChangeSigmaTextBox
+      // 
+      this.toolTip.SetToolTip(this.multiplicativeWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample a multiplica" +
+              "tive change in weight.");
+      // 
+      // additiveWeightChangeLabel
+      // 
+      this.toolTip.SetToolTip(this.additiveWeightChangeLabel, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
+              "change in weight.");
+      // 
+      // additiveWeightChangeSigmaTextBox
+      // 
+      this.toolTip.SetToolTip(this.additiveWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
+              "change in weight.");
+      // 
+      // variableNamesTabPage
+      // 
+      this.variableNamesTabPage.Size = new System.Drawing.Size(400, 164);
+      // 
+      // parametersTabPage
+      // 
+      this.parametersTabPage.Size = new System.Drawing.Size(400, 164);
+      // 
+      // tabControl
+      // 
+      this.tabControl.Location = new System.Drawing.Point(0, 104);
+      this.tabControl.Size = new System.Drawing.Size(408, 190);
+      this.tabControl.TabIndex = 9;
+      // 
       // initialFrequencyLabel
       // 
@@ -76,15 +132,11 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       // 
-      // descriptionTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      // 
       // minTimeOffsetLabel
       // 
       this.minTimeOffsetLabel.AutoSize = true;
-      this.minTimeOffsetLabel.Location = new System.Drawing.Point(3, 82);
+      this.minTimeOffsetLabel.Location = new System.Drawing.Point(3, 55);
       this.minTimeOffsetLabel.Name = "minTimeOffsetLabel";
       this.minTimeOffsetLabel.Size = new System.Drawing.Size(81, 13);
-      this.minTimeOffsetLabel.TabIndex = 10;
+      this.minTimeOffsetLabel.TabIndex = 5;
       this.minTimeOffsetLabel.Text = "Min. time offset:";
       // 
@@ -92,24 +144,24 @@
       // 
       this.maxTimeOffsetLabel.AutoSize = true;
-      this.maxTimeOffsetLabel.Location = new System.Drawing.Point(3, 108);
+      this.maxTimeOffsetLabel.Location = new System.Drawing.Point(3, 81);
       this.maxTimeOffsetLabel.Name = "maxTimeOffsetLabel";
       this.maxTimeOffsetLabel.Size = new System.Drawing.Size(84, 13);
-      this.maxTimeOffsetLabel.TabIndex = 11;
+      this.maxTimeOffsetLabel.TabIndex = 7;
       this.maxTimeOffsetLabel.Text = "Max. time offset:";
       // 
       // minTimeOffsetTextBox
       // 
-      this.minTimeOffsetTextBox.Location = new System.Drawing.Point(117, 79);
+      this.minTimeOffsetTextBox.Location = new System.Drawing.Point(93, 52);
       this.minTimeOffsetTextBox.Name = "minTimeOffsetTextBox";
-      this.minTimeOffsetTextBox.Size = new System.Drawing.Size(285, 20);
-      this.minTimeOffsetTextBox.TabIndex = 12;
+      this.minTimeOffsetTextBox.Size = new System.Drawing.Size(315, 20);
+      this.minTimeOffsetTextBox.TabIndex = 6;
       this.minTimeOffsetTextBox.TextChanged += new System.EventHandler(this.minTimeOffsetTextBox_TextChanged);
       // 
       // maxTimeOffsetTextBox
       // 
-      this.maxTimeOffsetTextBox.Location = new System.Drawing.Point(117, 105);
+      this.maxTimeOffsetTextBox.Location = new System.Drawing.Point(93, 78);
       this.maxTimeOffsetTextBox.Name = "maxTimeOffsetTextBox";
-      this.maxTimeOffsetTextBox.Size = new System.Drawing.Size(285, 20);
-      this.maxTimeOffsetTextBox.TabIndex = 13;
+      this.maxTimeOffsetTextBox.Size = new System.Drawing.Size(315, 20);
+      this.maxTimeOffsetTextBox.TabIndex = 8;
       this.maxTimeOffsetTextBox.TextChanged += new System.EventHandler(this.maxTimeOffsetTextBox_TextChanged);
       // 
@@ -118,20 +170,26 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.minTimeOffsetTextBox);
+      this.Controls.Add(this.minTimeOffsetLabel);
+      this.Controls.Add(this.maxTimeOffsetLabel);
       this.Controls.Add(this.maxTimeOffsetTextBox);
-      this.Controls.Add(this.minTimeOffsetTextBox);
-      this.Controls.Add(this.maxTimeOffsetLabel);
-      this.Controls.Add(this.minTimeOffsetLabel);
       this.Name = "LaggedVariableView";
       this.Size = new System.Drawing.Size(408, 292);
+      this.Controls.SetChildIndex(this.maxTimeOffsetTextBox, 0);
+      this.Controls.SetChildIndex(this.maxTimeOffsetLabel, 0);
       this.Controls.SetChildIndex(this.minTimeOffsetLabel, 0);
-      this.Controls.SetChildIndex(this.maxTimeOffsetLabel, 0);
       this.Controls.SetChildIndex(this.minTimeOffsetTextBox, 0);
-      this.Controls.SetChildIndex(this.maxTimeOffsetTextBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      this.initializationGroupBox.ResumeLayout(false);
+      this.initializationGroupBox.PerformLayout();
+      this.mutationGroupBox.ResumeLayout(false);
+      this.mutationGroupBox.PerformLayout();
+      this.parametersTabPage.ResumeLayout(false);
+      this.tabControl.ResumeLayout(false);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.ResumeLayout(false);
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/TimeLagView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/TimeLagView.Designer.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/TimeLagView.Designer.cs	(revision 5832)
@@ -55,5 +55,4 @@
       // initialFrequencyLabel
       // 
-      this.initialFrequencyLabel.Location = new System.Drawing.Point(3, 56);
       this.toolTip.SetToolTip(this.initialFrequencyLabel, "Relative frequency of the symbol in randomly created trees");
       // 
@@ -61,5 +60,5 @@
       // 
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(285, 20);
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(315, 20);
       // 
       // nameTextBox
@@ -67,18 +66,17 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(285, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(290, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Size = new System.Drawing.Size(285, 20);
+      this.infoLabel.Location = new System.Drawing.Point(389, 3);
       // 
       // minTimeOffsetLabel
       // 
       this.minTimeOffsetLabel.AutoSize = true;
-      this.minTimeOffsetLabel.Location = new System.Drawing.Point(3, 82);
+      this.minTimeOffsetLabel.Location = new System.Drawing.Point(3, 55);
       this.minTimeOffsetLabel.Name = "minTimeOffsetLabel";
       this.minTimeOffsetLabel.Size = new System.Drawing.Size(81, 13);
-      this.minTimeOffsetLabel.TabIndex = 10;
+      this.minTimeOffsetLabel.TabIndex = 5;
       this.minTimeOffsetLabel.Text = "Min. time offset:";
       // 
@@ -86,27 +84,27 @@
       // 
       this.maxTimeOffsetLabel.AutoSize = true;
-      this.maxTimeOffsetLabel.Location = new System.Drawing.Point(3, 108);
+      this.maxTimeOffsetLabel.Location = new System.Drawing.Point(3, 81);
       this.maxTimeOffsetLabel.Name = "maxTimeOffsetLabel";
       this.maxTimeOffsetLabel.Size = new System.Drawing.Size(84, 13);
-      this.maxTimeOffsetLabel.TabIndex = 11;
+      this.maxTimeOffsetLabel.TabIndex = 7;
       this.maxTimeOffsetLabel.Text = "Max. time offset:";
       // 
       // minTimeOffsetTextBox
       // 
-      this.minTimeOffsetTextBox.Location = new System.Drawing.Point(117, 79);
+      this.minTimeOffsetTextBox.Location = new System.Drawing.Point(93, 52);
       this.minTimeOffsetTextBox.Name = "minTimeOffsetTextBox";
-      this.minTimeOffsetTextBox.Size = new System.Drawing.Size(285, 20);
-      this.minTimeOffsetTextBox.TabIndex = 12;
+      this.minTimeOffsetTextBox.Size = new System.Drawing.Size(315, 20);
+      this.minTimeOffsetTextBox.TabIndex = 6;
       this.minTimeOffsetTextBox.TextChanged += new System.EventHandler(this.minTimeOffsetTextBox_TextChanged);
       // 
       // maxTimeOffsetTextBox
       // 
-      this.maxTimeOffsetTextBox.Location = new System.Drawing.Point(117, 105);
+      this.maxTimeOffsetTextBox.Location = new System.Drawing.Point(93, 78);
       this.maxTimeOffsetTextBox.Name = "maxTimeOffsetTextBox";
-      this.maxTimeOffsetTextBox.Size = new System.Drawing.Size(285, 20);
-      this.maxTimeOffsetTextBox.TabIndex = 13;
+      this.maxTimeOffsetTextBox.Size = new System.Drawing.Size(315, 20);
+      this.maxTimeOffsetTextBox.TabIndex = 8;
       this.maxTimeOffsetTextBox.TextChanged += new System.EventHandler(this.maxTimeOffsetTextBox_TextChanged);
       // 
-      // TimeLagView
+      // LaggedSymbolView
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
@@ -116,12 +114,11 @@
       this.Controls.Add(this.maxTimeOffsetLabel);
       this.Controls.Add(this.minTimeOffsetLabel);
-      this.Name = "TimeLagView";
-      this.Size = new System.Drawing.Size(408, 141);
+      this.Name = "LaggedSymbolView";
+      this.Size = new System.Drawing.Size(408, 104);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.minTimeOffsetLabel, 0);
       this.Controls.SetChildIndex(this.maxTimeOffsetLabel, 0);
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.Designer.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableConditionView.Designer.cs	(revision 5832)
@@ -76,5 +76,5 @@
       // 
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(203, 20);
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(233, 20);
       // 
       // nameTextBox
@@ -83,9 +83,4 @@
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
       this.nameTextBox.Size = new System.Drawing.Size(203, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Size = new System.Drawing.Size(203, 20);
       // 
       // thresholdInitializationMuLabel
@@ -95,5 +90,5 @@
       this.thresholdInitializationMuLabel.Name = "thresholdInitializationMuLabel";
       this.thresholdInitializationMuLabel.Size = new System.Drawing.Size(80, 13);
-      this.thresholdInitializationMuLabel.TabIndex = 6;
+      this.thresholdInitializationMuLabel.TabIndex = 0;
       this.thresholdInitializationMuLabel.Text = "Threshold (mu):";
       this.toolTip.SetToolTip(this.thresholdInitializationMuLabel, "The mu (mean) parameter of the normal distribution to use for initial weights.");
@@ -105,6 +100,6 @@
       this.thresholdInitializationMuTextBox.Location = new System.Drawing.Point(114, 15);
       this.thresholdInitializationMuTextBox.Name = "thresholdInitializationMuTextBox";
-      this.thresholdInitializationMuTextBox.Size = new System.Drawing.Size(197, 20);
-      this.thresholdInitializationMuTextBox.TabIndex = 7;
+      this.thresholdInitializationMuTextBox.Size = new System.Drawing.Size(203, 20);
+      this.thresholdInitializationMuTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.thresholdInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al thresholds.");
@@ -123,8 +118,8 @@
       this.initializationGroupBox.Controls.Add(this.thresholdInitializationMuLabel);
       this.initializationGroupBox.Controls.Add(this.thresholdInitializationMuTextBox);
-      this.initializationGroupBox.Location = new System.Drawing.Point(3, 79);
+      this.initializationGroupBox.Location = new System.Drawing.Point(0, 52);
       this.initializationGroupBox.Name = "initializationGroupBox";
-      this.initializationGroupBox.Size = new System.Drawing.Size(320, 127);
-      this.initializationGroupBox.TabIndex = 8;
+      this.initializationGroupBox.Size = new System.Drawing.Size(326, 127);
+      this.initializationGroupBox.TabIndex = 5;
       this.initializationGroupBox.TabStop = false;
       this.initializationGroupBox.Text = "Initialization";
@@ -136,5 +131,5 @@
       this.slopeInitializationSigmaLabel.Name = "slopeInitializationSigmaLabel";
       this.slopeInitializationSigmaLabel.Size = new System.Drawing.Size(73, 13);
-      this.slopeInitializationSigmaLabel.TabIndex = 12;
+      this.slopeInitializationSigmaLabel.TabIndex = 6;
       this.slopeInitializationSigmaLabel.Text = "Slope (sigma):";
       this.toolTip.SetToolTip(this.slopeInitializationSigmaLabel, "The sigma parameter for the normal distribution to use for the initial slopes.");
@@ -146,6 +141,6 @@
       this.slopeInitializationSigmaTextBox.Location = new System.Drawing.Point(114, 102);
       this.slopeInitializationSigmaTextBox.Name = "slopeInitializationSigmaTextBox";
-      this.slopeInitializationSigmaTextBox.Size = new System.Drawing.Size(197, 20);
-      this.slopeInitializationSigmaTextBox.TabIndex = 13;
+      this.slopeInitializationSigmaTextBox.Size = new System.Drawing.Size(203, 20);
+      this.slopeInitializationSigmaTextBox.TabIndex = 7;
       this.toolTip.SetToolTip(this.slopeInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
               "slopes.");
@@ -158,5 +153,5 @@
       this.slopeInitializationMuLabel.Name = "slopeInitializationMuLabel";
       this.slopeInitializationMuLabel.Size = new System.Drawing.Size(60, 13);
-      this.slopeInitializationMuLabel.TabIndex = 10;
+      this.slopeInitializationMuLabel.TabIndex = 4;
       this.slopeInitializationMuLabel.Text = "Slope (mu):";
       this.toolTip.SetToolTip(this.slopeInitializationMuLabel, "The mu (mean) parameter of the normal distribution to use for initial slopes.");
@@ -168,6 +163,6 @@
       this.slopeInitializationMuTextBox.Location = new System.Drawing.Point(114, 76);
       this.slopeInitializationMuTextBox.Name = "slopeInitializationMuTextBox";
-      this.slopeInitializationMuTextBox.Size = new System.Drawing.Size(197, 20);
-      this.slopeInitializationMuTextBox.TabIndex = 11;
+      this.slopeInitializationMuTextBox.Size = new System.Drawing.Size(203, 20);
+      this.slopeInitializationMuTextBox.TabIndex = 5;
       this.toolTip.SetToolTip(this.slopeInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al slopes.");
@@ -180,5 +175,5 @@
       this.thresholdInitializationSigmaLabel.Name = "thresholdInitializationSigmaLabel";
       this.thresholdInitializationSigmaLabel.Size = new System.Drawing.Size(93, 13);
-      this.thresholdInitializationSigmaLabel.TabIndex = 8;
+      this.thresholdInitializationSigmaLabel.TabIndex = 2;
       this.thresholdInitializationSigmaLabel.Text = "Threshold (sigma):";
       this.toolTip.SetToolTip(this.thresholdInitializationSigmaLabel, "The sigma parameter for the normal distribution to use for the initial weights.");
@@ -190,6 +185,6 @@
       this.thresholdInitializationSigmaTextBox.Location = new System.Drawing.Point(114, 41);
       this.thresholdInitializationSigmaTextBox.Name = "thresholdInitializationSigmaTextBox";
-      this.thresholdInitializationSigmaTextBox.Size = new System.Drawing.Size(197, 20);
-      this.thresholdInitializationSigmaTextBox.TabIndex = 9;
+      this.thresholdInitializationSigmaTextBox.Size = new System.Drawing.Size(203, 20);
+      this.thresholdInitializationSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.thresholdInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
               "thresholds.");
@@ -208,8 +203,8 @@
       this.mutationGroupBox.Controls.Add(this.ThresholdChangeMuLabel);
       this.mutationGroupBox.Controls.Add(this.thresholdChangeMuTextBox);
-      this.mutationGroupBox.Location = new System.Drawing.Point(3, 212);
+      this.mutationGroupBox.Location = new System.Drawing.Point(0, 185);
       this.mutationGroupBox.Name = "mutationGroupBox";
-      this.mutationGroupBox.Size = new System.Drawing.Size(320, 127);
-      this.mutationGroupBox.TabIndex = 9;
+      this.mutationGroupBox.Size = new System.Drawing.Size(326, 127);
+      this.mutationGroupBox.TabIndex = 6;
       this.mutationGroupBox.TabStop = false;
       this.mutationGroupBox.Text = "Mutation";
@@ -221,5 +216,5 @@
       this.slopeChangeSigmaLabel.Name = "slopeChangeSigmaLabel";
       this.slopeChangeSigmaLabel.Size = new System.Drawing.Size(112, 13);
-      this.slopeChangeSigmaLabel.TabIndex = 12;
+      this.slopeChangeSigmaLabel.TabIndex = 6;
       this.slopeChangeSigmaLabel.Text = "Slope change (sigma):";
       this.toolTip.SetToolTip(this.slopeChangeSigmaLabel, "The sigma parameter for the normal distribution to use to sample the change in sl" +
@@ -232,6 +227,6 @@
       this.slopeChangeSigmaTextBox.Location = new System.Drawing.Point(149, 99);
       this.slopeChangeSigmaTextBox.Name = "slopeChangeSigmaTextBox";
-      this.slopeChangeSigmaTextBox.Size = new System.Drawing.Size(162, 20);
-      this.slopeChangeSigmaTextBox.TabIndex = 13;
+      this.slopeChangeSigmaTextBox.Size = new System.Drawing.Size(168, 20);
+      this.slopeChangeSigmaTextBox.TabIndex = 7;
       this.toolTip.SetToolTip(this.slopeChangeSigmaTextBox, "The sigma parameter for the normal distribution to use to sample the change in sl" +
               "ope.");
@@ -244,5 +239,5 @@
       this.slopeChangeMuLabel.Name = "slopeChangeMuLabel";
       this.slopeChangeMuLabel.Size = new System.Drawing.Size(99, 13);
-      this.slopeChangeMuLabel.TabIndex = 10;
+      this.slopeChangeMuLabel.TabIndex = 4;
       this.slopeChangeMuLabel.Text = "Slope change (mu):";
       this.toolTip.SetToolTip(this.slopeChangeMuLabel, "The nu (mean) parameter for the normal distribution to sample the change in slope" +
@@ -255,6 +250,6 @@
       this.slopeChangeMuTextBox.Location = new System.Drawing.Point(149, 73);
       this.slopeChangeMuTextBox.Name = "slopeChangeMuTextBox";
-      this.slopeChangeMuTextBox.Size = new System.Drawing.Size(162, 20);
-      this.slopeChangeMuTextBox.TabIndex = 11;
+      this.slopeChangeMuTextBox.Size = new System.Drawing.Size(168, 20);
+      this.slopeChangeMuTextBox.TabIndex = 5;
       this.toolTip.SetToolTip(this.slopeChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the change in slope" +
               ".");
@@ -267,5 +262,5 @@
       this.thresholdChangeSigmaLabel.Name = "thresholdChangeSigmaLabel";
       this.thresholdChangeSigmaLabel.Size = new System.Drawing.Size(132, 13);
-      this.thresholdChangeSigmaLabel.TabIndex = 8;
+      this.thresholdChangeSigmaLabel.TabIndex = 2;
       this.thresholdChangeSigmaLabel.Text = "Threshold change (sigma):";
       this.toolTip.SetToolTip(this.thresholdChangeSigmaLabel, "The sigma parameter for the normal distribution to use to sample the change in th" +
@@ -278,6 +273,6 @@
       this.thresholdChangeSigmaTextBox.Location = new System.Drawing.Point(149, 41);
       this.thresholdChangeSigmaTextBox.Name = "thresholdChangeSigmaTextBox";
-      this.thresholdChangeSigmaTextBox.Size = new System.Drawing.Size(162, 20);
-      this.thresholdChangeSigmaTextBox.TabIndex = 9;
+      this.thresholdChangeSigmaTextBox.Size = new System.Drawing.Size(168, 20);
+      this.thresholdChangeSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.thresholdChangeSigmaTextBox, "The sigma parameter for the normal distribution to use to sample the change in th" +
               "reshold.");
@@ -290,5 +285,5 @@
       this.ThresholdChangeMuLabel.Name = "ThresholdChangeMuLabel";
       this.ThresholdChangeMuLabel.Size = new System.Drawing.Size(119, 13);
-      this.ThresholdChangeMuLabel.TabIndex = 6;
+      this.ThresholdChangeMuLabel.TabIndex = 0;
       this.ThresholdChangeMuLabel.Text = "Threshold change (mu):";
       this.toolTip.SetToolTip(this.ThresholdChangeMuLabel, "The nu (mean) parameter for the normal distribution to sample the change in thres" +
@@ -301,6 +296,6 @@
       this.thresholdChangeMuTextBox.Location = new System.Drawing.Point(149, 15);
       this.thresholdChangeMuTextBox.Name = "thresholdChangeMuTextBox";
-      this.thresholdChangeMuTextBox.Size = new System.Drawing.Size(162, 20);
-      this.thresholdChangeMuTextBox.TabIndex = 7;
+      this.thresholdChangeMuTextBox.Size = new System.Drawing.Size(168, 20);
+      this.thresholdChangeMuTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.thresholdChangeMuTextBox, "The mu (mean) parameter for the normal distribution to sample the change in thres" +
               "hold.");
@@ -314,12 +309,11 @@
       this.Controls.Add(this.initializationGroupBox);
       this.Name = "VariableConditionView";
-      this.Size = new System.Drawing.Size(326, 344);
+      this.Size = new System.Drawing.Size(326, 315);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.initializationGroupBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.mutationGroupBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableView.Designer.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Symbolic.Views/3.4/Symbols/VariableView.Designer.cs	(revision 5832)
@@ -72,5 +72,5 @@
       // 
       this.errorProvider.SetIconAlignment(this.initialFrequencyTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.initialFrequencyTextBox.Size = new System.Drawing.Size(285, 20);
+      this.initialFrequencyTextBox.Size = new System.Drawing.Size(315, 20);
       // 
       // nameTextBox
@@ -78,10 +78,9 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(285, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.errorProvider.SetIconAlignment(this.descriptionTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
-      this.descriptionTextBox.Size = new System.Drawing.Size(285, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(290, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(389, 3);
       // 
       // weightMuLabel
@@ -91,5 +90,5 @@
       this.weightMuLabel.Name = "weightMuLabel";
       this.weightMuLabel.Size = new System.Drawing.Size(67, 13);
-      this.weightMuLabel.TabIndex = 6;
+      this.weightMuLabel.TabIndex = 0;
       this.weightMuLabel.Text = "Weight (mu):";
       this.toolTip.SetToolTip(this.weightMuLabel, "The mu (mean) parameter of the normal distribution to use for initial weights.");
@@ -101,6 +100,6 @@
       this.weightInitializationMuTextBox.Location = new System.Drawing.Point(92, 19);
       this.weightInitializationMuTextBox.Name = "weightInitializationMuTextBox";
-      this.weightInitializationMuTextBox.Size = new System.Drawing.Size(266, 20);
-      this.weightInitializationMuTextBox.TabIndex = 7;
+      this.weightInitializationMuTextBox.Size = new System.Drawing.Size(275, 20);
+      this.weightInitializationMuTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.weightInitializationMuTextBox, "The mu (mean) parameter of the normal distribution from which to sample the initi" +
               "al weights.");
@@ -117,6 +116,6 @@
       this.initializationGroupBox.Location = new System.Drawing.Point(6, 6);
       this.initializationGroupBox.Name = "initializationGroupBox";
-      this.initializationGroupBox.Size = new System.Drawing.Size(364, 73);
-      this.initializationGroupBox.TabIndex = 8;
+      this.initializationGroupBox.Size = new System.Drawing.Size(373, 73);
+      this.initializationGroupBox.TabIndex = 0;
       this.initializationGroupBox.TabStop = false;
       this.initializationGroupBox.Text = "Initialization";
@@ -128,5 +127,5 @@
       this.weightSigmaLabel.Name = "weightSigmaLabel";
       this.weightSigmaLabel.Size = new System.Drawing.Size(80, 13);
-      this.weightSigmaLabel.TabIndex = 8;
+      this.weightSigmaLabel.TabIndex = 2;
       this.weightSigmaLabel.Text = "Weight (sigma):";
       this.toolTip.SetToolTip(this.weightSigmaLabel, "The sigma parameter for the normal distribution to use for the initial weights.");
@@ -138,6 +137,6 @@
       this.weightInitializationSigmaTextBox.Location = new System.Drawing.Point(92, 45);
       this.weightInitializationSigmaTextBox.Name = "weightInitializationSigmaTextBox";
-      this.weightInitializationSigmaTextBox.Size = new System.Drawing.Size(266, 20);
-      this.weightInitializationSigmaTextBox.TabIndex = 9;
+      this.weightInitializationSigmaTextBox.Size = new System.Drawing.Size(275, 20);
+      this.weightInitializationSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.weightInitializationSigmaTextBox, "The sigma parameter for the normal distribution from which to sample the initial " +
               "weights.");
@@ -154,6 +153,6 @@
       this.mutationGroupBox.Location = new System.Drawing.Point(6, 85);
       this.mutationGroupBox.Name = "mutationGroupBox";
-      this.mutationGroupBox.Size = new System.Drawing.Size(364, 73);
-      this.mutationGroupBox.TabIndex = 9;
+      this.mutationGroupBox.Size = new System.Drawing.Size(373, 73);
+      this.mutationGroupBox.TabIndex = 1;
       this.mutationGroupBox.TabStop = false;
       this.mutationGroupBox.Text = "Mutation";
@@ -165,5 +164,5 @@
       this.multiplicativeWeightChangeLabel.Name = "multiplicativeWeightChangeLabel";
       this.multiplicativeWeightChangeLabel.Size = new System.Drawing.Size(180, 13);
-      this.multiplicativeWeightChangeLabel.TabIndex = 8;
+      this.multiplicativeWeightChangeLabel.TabIndex = 2;
       this.multiplicativeWeightChangeLabel.Text = "Multiplicative weight change (sigma):";
       this.toolTip.SetToolTip(this.multiplicativeWeightChangeLabel, "The sigma parameter for the normal distribution to use to sample a multiplicative" +
@@ -176,6 +175,6 @@
       this.multiplicativeWeightChangeSigmaTextBox.Location = new System.Drawing.Point(201, 45);
       this.multiplicativeWeightChangeSigmaTextBox.Name = "multiplicativeWeightChangeSigmaTextBox";
-      this.multiplicativeWeightChangeSigmaTextBox.Size = new System.Drawing.Size(157, 20);
-      this.multiplicativeWeightChangeSigmaTextBox.TabIndex = 9;
+      this.multiplicativeWeightChangeSigmaTextBox.Size = new System.Drawing.Size(166, 20);
+      this.multiplicativeWeightChangeSigmaTextBox.TabIndex = 3;
       this.toolTip.SetToolTip(this.multiplicativeWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample a multiplica" +
               "tive change in weight.");
@@ -188,5 +187,5 @@
       this.additiveWeightChangeLabel.Name = "additiveWeightChangeLabel";
       this.additiveWeightChangeLabel.Size = new System.Drawing.Size(157, 13);
-      this.additiveWeightChangeLabel.TabIndex = 6;
+      this.additiveWeightChangeLabel.TabIndex = 0;
       this.additiveWeightChangeLabel.Text = "Additive weight change (sigma):";
       this.toolTip.SetToolTip(this.additiveWeightChangeLabel, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
@@ -199,6 +198,6 @@
       this.additiveWeightChangeSigmaTextBox.Location = new System.Drawing.Point(201, 19);
       this.additiveWeightChangeSigmaTextBox.Name = "additiveWeightChangeSigmaTextBox";
-      this.additiveWeightChangeSigmaTextBox.Size = new System.Drawing.Size(157, 20);
-      this.additiveWeightChangeSigmaTextBox.TabIndex = 7;
+      this.additiveWeightChangeSigmaTextBox.Size = new System.Drawing.Size(166, 20);
+      this.additiveWeightChangeSigmaTextBox.TabIndex = 1;
       this.toolTip.SetToolTip(this.additiveWeightChangeSigmaTextBox, "The sigma (std.dev.) parameter for the normal distribution to sample an additive " +
               "change in weight.");
@@ -212,9 +211,9 @@
       this.tabControl.Controls.Add(this.variableNamesTabPage);
       this.tabControl.Controls.Add(this.parametersTabPage);
-      this.tabControl.Location = new System.Drawing.Point(3, 79);
+      this.tabControl.Location = new System.Drawing.Point(0, 52);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(399, 212);
-      this.tabControl.TabIndex = 10;
+      this.tabControl.Size = new System.Drawing.Size(408, 242);
+      this.tabControl.TabIndex = 5;
       // 
       // variableNamesTabPage
@@ -223,5 +222,5 @@
       this.variableNamesTabPage.Name = "variableNamesTabPage";
       this.variableNamesTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.variableNamesTabPage.Size = new System.Drawing.Size(391, 186);
+      this.variableNamesTabPage.Size = new System.Drawing.Size(400, 216);
       this.variableNamesTabPage.TabIndex = 0;
       this.variableNamesTabPage.Text = "Variable Names";
@@ -235,5 +234,5 @@
       this.parametersTabPage.Name = "parametersTabPage";
       this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.parametersTabPage.Size = new System.Drawing.Size(391, 186);
+      this.parametersTabPage.Size = new System.Drawing.Size(400, 216);
       this.parametersTabPage.TabIndex = 1;
       this.parametersTabPage.Text = "Parameters";
@@ -247,10 +246,9 @@
       this.Name = "VariableView";
       this.Size = new System.Drawing.Size(408, 294);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.initialFrequencyTextBox, 0);
       this.Controls.SetChildIndex(this.initialFrequencyLabel, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.tabControl, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
@@ -268,17 +266,17 @@
     #endregion
 
-    private System.Windows.Forms.Label weightMuLabel;
-    private System.Windows.Forms.TextBox weightInitializationMuTextBox;
+    protected System.Windows.Forms.Label weightMuLabel;
+    protected System.Windows.Forms.TextBox weightInitializationMuTextBox;
     protected System.Windows.Forms.GroupBox initializationGroupBox;
-    private System.Windows.Forms.Label weightSigmaLabel;
-    private System.Windows.Forms.TextBox weightInitializationSigmaTextBox;
+    protected System.Windows.Forms.Label weightSigmaLabel;
+    protected System.Windows.Forms.TextBox weightInitializationSigmaTextBox;
     protected System.Windows.Forms.GroupBox mutationGroupBox;
-    private System.Windows.Forms.Label multiplicativeWeightChangeLabel;
-    private System.Windows.Forms.TextBox multiplicativeWeightChangeSigmaTextBox;
-    private System.Windows.Forms.Label additiveWeightChangeLabel;
-    private System.Windows.Forms.TextBox additiveWeightChangeSigmaTextBox;
-    private System.Windows.Forms.TabControl tabControl;
-    private System.Windows.Forms.TabPage variableNamesTabPage;
-    private System.Windows.Forms.TabPage parametersTabPage;
+    protected System.Windows.Forms.Label multiplicativeWeightChangeLabel;
+    protected System.Windows.Forms.TextBox multiplicativeWeightChangeSigmaTextBox;
+    protected System.Windows.Forms.Label additiveWeightChangeLabel;
+    protected System.Windows.Forms.TextBox additiveWeightChangeSigmaTextBox;
+    protected System.Windows.Forms.TabPage variableNamesTabPage;
+    protected System.Windows.Forms.TabPage parametersTabPage;
+    protected System.Windows.Forms.TabControl tabControl;
   }
 }
